# GstGLSLStage

GstGLSLStage holds and represents a single OpenGL shader stage.

## GstGLSLStage

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstGLSLStage

Opaque GstGLSLStage struct

### Class structure

#### GstGLSLStageClass

Opaque GstGLSLStageClass struct

### GstGL.GLSLStageClass

Opaque GstGL.GLSLStageClass struct

### GstGL.GLSLStageClass

Opaque GstGL.GLSLStageClass struct

## GstGL.GLSLStage

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLSLStage

Opaque GstGL.GLSLStage struct

## GstGL.GLSLStage

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLSLStage

Opaque GstGL.GLSLStage struct

### Constructors

#### gst_glsl_stage_new

    GstGLSLStage *
    gst_glsl_stage_new (GstGLContext * context,
                        guint type)

Parameters:

`context` –

a GstGLContext

`type` –

the GL enum shader stage type

Returns ( [transfer: floating]) –

a new GstGLSLStage of the specified type

Since : 1.8

#### GstGL.GLSLStage.prototype.new

    function GstGL.GLSLStage.prototype.new(context: GstGL.GLContext, type: Number): {
        // javascript wrapper for 'gst_glsl_stage_new'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`type` (Number) –

the GL enum shader stage type

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage of the specified type

Since : 1.8

#### GstGL.GLSLStage.new

    def GstGL.GLSLStage.new (context, type):
        #python wrapper for 'gst_glsl_stage_new'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`type` (int) –

the GL enum shader stage type

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage of the specified type

Since : 1.8

#### gst_glsl_stage_new_default_fragment

    GstGLSLStage *
    gst_glsl_stage_new_default_fragment (GstGLContext * context)

Parameters:

`context` –

a GstGLContext

Returns ( [transfer: floating]) –

a new GstGLSLStage with the default fragment shader

Since : 1.8

#### GstGL.GLSLStage.prototype.new_default_fragment

    function GstGL.GLSLStage.prototype.new_default_fragment(context: GstGL.GLContext): {
        // javascript wrapper for 'gst_glsl_stage_new_default_fragment'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage with the default fragment shader

Since : 1.8

#### GstGL.GLSLStage.new_default_fragment

    def GstGL.GLSLStage.new_default_fragment (context):
        #python wrapper for 'gst_glsl_stage_new_default_fragment'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage with the default fragment shader

Since : 1.8

#### gst_glsl_stage_new_default_vertex

    GstGLSLStage *
    gst_glsl_stage_new_default_vertex (GstGLContext * context)

Parameters:

`context` –

a GstGLContext

Returns ( [transfer: floating]) –

a new GstGLSLStage with the default vertex shader

Since : 1.8

#### GstGL.GLSLStage.prototype.new_default_vertex

    function GstGL.GLSLStage.prototype.new_default_vertex(context: GstGL.GLContext): {
        // javascript wrapper for 'gst_glsl_stage_new_default_vertex'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage with the default vertex shader

Since : 1.8

#### GstGL.GLSLStage.new_default_vertex

    def GstGL.GLSLStage.new_default_vertex (context):
        #python wrapper for 'gst_glsl_stage_new_default_vertex'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage with the default vertex shader

Since : 1.8

#### gst_glsl_stage_new_with_string

    GstGLSLStage *
    gst_glsl_stage_new_with_string (GstGLContext * context,
                                    guint type,
                                    GstGLSLVersion version,
                                    GstGLSLProfile profile,
                                    const gchar * str)

Parameters:

`context` –

a GstGLContext

`type` –

the GL enum shader stage type

`version` –

the GstGLSLVersion

`profile` –

the GstGLSLProfile

`str` –

a shader string

Returns ( [transfer: floating]) –

a new GstGLSLStage of the specified type

Since : 1.8

#### GstGL.GLSLStage.prototype.new_with_string

    function GstGL.GLSLStage.prototype.new_with_string(context: GstGL.GLContext, type: Number, version: GstGL.GLSLVersion, profile: GstGL.GLSLProfile, str: String): {
        // javascript wrapper for 'gst_glsl_stage_new_with_string'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`type` (Number) –

the GL enum shader stage type

`version` (GstGL.GLSLVersion) –

the GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

the GstGL.GLSLProfile

`str` (String) –

a shader string

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage of the specified type

Since : 1.8

#### GstGL.GLSLStage.new_with_string

    def GstGL.GLSLStage.new_with_string (context, type, version, profile, str):
        #python wrapper for 'gst_glsl_stage_new_with_string'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`type` (int) –

the GL enum shader stage type

`version` (GstGL.GLSLVersion) –

the GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

the GstGL.GLSLProfile

`str` (str) –

a shader string

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage of the specified type

Since : 1.8

#### gst_glsl_stage_new_with_strings

    GstGLSLStage *
    gst_glsl_stage_new_with_strings (GstGLContext * context,
                                     guint type,
                                     GstGLSLVersion version,
                                     GstGLSLProfile profile,
                                     gint n_strings,
                                     const gchar ** str)

Parameters:

`context` –

a GstGLContext

`type` –

the GL enum shader stage type

`version` –

the GstGLSLVersion

`profile` –

the GstGLSLProfile

`n_strings` –

the number of strings in str

`str` –

(array length=n_strings): an array of strings concatted together to produce a shader

Returns ( [transfer: floating]) –

a new GstGLSLStage of the specified type

Since : 1.8

#### GstGL.GLSLStage.prototype.new_with_strings

    function GstGL.GLSLStage.prototype.new_with_strings(context: GstGL.GLContext, type: Number, version: GstGL.GLSLVersion, profile: GstGL.GLSLProfile, n_strings: Number, str: [ String ]): {
        // javascript wrapper for 'gst_glsl_stage_new_with_strings'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`type` (Number) –

the GL enum shader stage type

`version` (GstGL.GLSLVersion) –

the GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

the GstGL.GLSLProfile

`n_strings` (Number) –

the number of strings in str

`str` ([ String ]) –

(array length=n_strings): an array of strings concatted together to produce a shader

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage of the specified type

Since : 1.8

#### GstGL.GLSLStage.new_with_strings

    def GstGL.GLSLStage.new_with_strings (context, type, version, profile, n_strings, str):
        #python wrapper for 'gst_glsl_stage_new_with_strings'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`type` (int) –

the GL enum shader stage type

`version` (GstGL.GLSLVersion) –

the GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

the GstGL.GLSLProfile

`n_strings` (int) –

the number of strings in str

`str` ([ str ]) –

(array length=n_strings): an array of strings concatted together to produce a shader

Returns (GstGL.GLSLStage) –

a new GstGL.GLSLStage of the specified type

Since : 1.8

### Methods

#### gst_glsl_stage_compile

    gboolean
    gst_glsl_stage_compile (GstGLSLStage * stage,
                            GError ** error)

Parameters:

`stage` –

a GstGLSLStage

`error` –

a GError to use on failure

Returns –

whether the compilation succeeded

Since : 1.8

#### GstGL.GLSLStage.prototype.compile

    function GstGL.GLSLStage.prototype.compile(): {
        // javascript wrapper for 'gst_glsl_stage_compile'
    }

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (Number) –

whether the compilation succeeded

Since : 1.8

#### GstGL.GLSLStage.compile

    @raises(GLib.GError)
    def GstGL.GLSLStage.compile (self):
        #python wrapper for 'gst_glsl_stage_compile'

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (bool) –

whether the compilation succeeded

Since : 1.8

#### gst_glsl_stage_get_handle

    guint
    gst_glsl_stage_get_handle (GstGLSLStage * stage)

Parameters:

`stage` –

a GstGLSLStage

Returns –

The GL handle for this shader stage

Since : 1.8

#### GstGL.GLSLStage.prototype.get_handle

    function GstGL.GLSLStage.prototype.get_handle(): {
        // javascript wrapper for 'gst_glsl_stage_get_handle'
    }

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (Number) –

The GL handle for this shader stage

Since : 1.8

#### GstGL.GLSLStage.get_handle

    def GstGL.GLSLStage.get_handle (self):
        #python wrapper for 'gst_glsl_stage_get_handle'

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (int) –

The GL handle for this shader stage

Since : 1.8

#### gst_glsl_stage_get_profile

    GstGLSLProfile
    gst_glsl_stage_get_profile (GstGLSLStage * stage)

Parameters:

`stage` –

a GstGLSLStage

Returns –

The GLSL profile for the current shader stage

Since : 1.8

#### GstGL.GLSLStage.prototype.get_profile

    function GstGL.GLSLStage.prototype.get_profile(): {
        // javascript wrapper for 'gst_glsl_stage_get_profile'
    }

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (GstGL.GLSLProfile) –

The GLSL profile for the current shader stage

Since : 1.8

#### GstGL.GLSLStage.get_profile

    def GstGL.GLSLStage.get_profile (self):
        #python wrapper for 'gst_glsl_stage_get_profile'

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (GstGL.GLSLProfile) –

The GLSL profile for the current shader stage

Since : 1.8

#### gst_glsl_stage_get_shader_type

    guint
    gst_glsl_stage_get_shader_type (GstGLSLStage * stage)

Parameters:

`stage` –

a GstGLSLStage

Returns –

The GL shader type for this shader stage

Since : 1.8

#### GstGL.GLSLStage.prototype.get_shader_type

    function GstGL.GLSLStage.prototype.get_shader_type(): {
        // javascript wrapper for 'gst_glsl_stage_get_shader_type'
    }

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (Number) –

The GL shader type for this shader stage

Since : 1.8

#### GstGL.GLSLStage.get_shader_type

    def GstGL.GLSLStage.get_shader_type (self):
        #python wrapper for 'gst_glsl_stage_get_shader_type'

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (int) –

The GL shader type for this shader stage

Since : 1.8

#### gst_glsl_stage_get_version

    GstGLSLVersion
    gst_glsl_stage_get_version (GstGLSLStage * stage)

Parameters:

`stage` –

a GstGLSLStage

Returns –

The GLSL version for the current shader stage

Since : 1.8

#### GstGL.GLSLStage.prototype.get_version

    function GstGL.GLSLStage.prototype.get_version(): {
        // javascript wrapper for 'gst_glsl_stage_get_version'
    }

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (GstGL.GLSLVersion) –

The GLSL version for the current shader stage

Since : 1.8

#### GstGL.GLSLStage.get_version

    def GstGL.GLSLStage.get_version (self):
        #python wrapper for 'gst_glsl_stage_get_version'

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

Returns (GstGL.GLSLVersion) –

The GLSL version for the current shader stage

Since : 1.8

#### gst_glsl_stage_set_strings

    gboolean
    gst_glsl_stage_set_strings (GstGLSLStage * stage,
                                GstGLSLVersion version,
                                GstGLSLProfile profile,
                                gint n_strings,
                                const gchar ** str)

Replaces the current shader string with str.

Parameters:

`stage` –

a GstGLSLStage

`version` –

a GstGLSLVersion

`profile` –

a GstGLSLProfile

`n_strings` –

number of strings in str

`str` ( [array length=n_strings][transfer: none]) –

a GLSL shader string

Returns –
No description available

Since : 1.8

#### GstGL.GLSLStage.prototype.set_strings

    function GstGL.GLSLStage.prototype.set_strings(version: GstGL.GLSLVersion, profile: GstGL.GLSLProfile, n_strings: Number, str: [ String ]): {
        // javascript wrapper for 'gst_glsl_stage_set_strings'
    }

Replaces the current shader string with str.

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

`n_strings` (Number) –

number of strings in str

`str` ([ String ]) –

a GLSL shader string

Returns (Number) –
No description available

Since : 1.8

#### GstGL.GLSLStage.set_strings

    def GstGL.GLSLStage.set_strings (self, version, profile, n_strings, str):
        #python wrapper for 'gst_glsl_stage_set_strings'

Replaces the current shader string with str.

Parameters:

`stage` (GstGL.GLSLStage) –

a GstGL.GLSLStage

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

`n_strings` (int) –

number of strings in str

`str` ([ str ]) –

a GLSL shader string

Returns (bool) –
No description available

Since : 1.8

The results of the search are